## org.apache.portals.bridges.struts.config
Class PortletURLTypes.PortletURLType

    java.lang.Object
      org.apache.portals.bridges.struts.config.PortletURLTypes.PortletURLType

Enclosing class:
  PortletURLTypes

public static class PortletURLTypes.PortletURLType
extends Object

Field Summary
`private String` `path`
`private PortletURLTypes.URLType` `type`

Constructor Summary
`PortletURLTypes.PortletURLType()`

Method Summary
`String` `getPath()`
`PortletURLTypes.URLType` `getType()`
`void` `setPath(String path)`
`void` `setType(PortletURLTypes.URLType type)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### path

    private String path

### type

    private PortletURLTypes.URLType type

Constructor Detail

### PortletURLTypes.PortletURLType

    public PortletURLTypes.PortletURLType()

Method Detail

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### setType

    public void setType(PortletURLTypes.URLType type)

### getType

    public PortletURLTypes.URLType getType()

### toString

    public String toString()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.